# Kagera Micro HTTP Daemon

KUHTTP Daemon is a micro HTTP server optimised for size and low and medium
traffic sites. It is dedicated to serve configuration sites on Linux-based
routers as well as some additional pages like Captive Portals. It implements
all the basic features of an HTTP server, including:

  * GET, HEAD, and POST methods
  * CGI process communication
  * Multilanguage CGI
  * Basic authentication
  * IPv6 and SSL/HTTPS communication
  * Directory listings
  * The common MIME types
  * Trailing-slash redirection
  * Security against ".." filename snooping
  * Standard logging

KUHTTP Daemon is based on mini_httpd: <http://acme.com/software/mini_httpd/>.
